2017-06-29 21:40:34 UTC
29 MB
stable
DOCKER_VERSION17.03.2-ce
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:019300c8a437a2d60248f27c206795930626dfe7ddc0323d734143bd5eb131a6 - 6.47% (1.88 MB)
[#001] sha256:dc9253de26747cb9ad807096c7779b82609261ad1c5cbee1e502a86c9b0af4da - 1.15% (342 KB)
[#002] sha256:d097821ea2c9d225166fe3401d4fb3539096cd03f47ecf2605fcb5c6583a9e92 - 92.37% (26.8 MB)
[#003] sha256:c9f5b9db32b4c9eec4278d5c656bf09154420adf7a44292a765d216de6df08eb - 0.0% (729 Bytes)
/bin/sh -c #(nop) ADD file:9d67752278c0e5a1298cd2d6603ebaaab2aa342e27ddf191ee0fde138f82698c in /
2017-06-27 18:39:45 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-06-27 20:09:43 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-06-27 20:15:25 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=stable
2017-06-29 21:39:59 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.03.2-ce
2017-06-29 21:40:06 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-06-29 21:40:08 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-06-29 21:40:09 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-06-29 21:40:34 UTC/bin/sh -c #(nop) CMD ["sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.